Subject: Re: (ngtrans) Review of draft-ietf-ngtrans-mtp-01.txt

From: Kazuaki Tsuchiya <[email-masked]>
Date: Fri, 05 Jul 2002 21:28:13 +0900

Dear Brian

At 21:19 02/06/26 +0900, [email-masked] wrote:
> > >      5. If the MTP node needs an administrator to do config before
> > >         it can translate, who will notify the receivers as to what
> > >         multicast address to join?
> >
> > I will explain a case of communication from an IPv4 Sender to IPv6
> > Receivers. MTP works just like one of IPv4 Receivers, and MTP also
> > works just like an IPv6 Sender.
> >
> > MTP can know IPv4 multicast addresses available as one of IPv4
> > Receivers. For example, MTP obtains IPv4 multicast addresses
> > available via an IPv4 SAP (an IPv4 SDR). MTP shows the IPv4
> > multicast addresses and the corresponding IPv6 multicast addresses
> > on its web. An IPv6 Receiver looks at its web and presses a button
> > for joining in a group. MTP registers the IPv4 multicast address,
> > the IPv6 multicast address, and the IPv6 Receiver address, into a
> > table. When there is yet no member to the group, MTP carries out
> > configuration for translation.
>
>I am not as concerned with how MTP learns of the addresses, rather
>how do the clients learn of the addresses?  MTP can get addresses
>from SDR, but how does a client on the other side of the MTP node
>know what addresses to join?  Does MTP issue SDR messages?  How
>will MTP work in the presence of SSM services where the source and
>group addresses are coming from webpages?

We use PIM-DM/-SM at our test bed, so that could not cover
up to PIM-SSM in the past memo. An IPv6 Receiver has to
know Senders' addresses via MTP in advance in case of
PIM-SSM as you say. I will add the following statement to
section 3, in order to make MTP applicable to PIM-SSM, at
next revision up. Luckily MTP can know IPv4 multicast
Senders' addresses, in addition to IPv4 multicast
addresses available.

------------------------------------------------------------
NOTE: In order to make MTP applicable to PIM-SSM, MTP needs
       to show IPv6 addresses corresponding to IPv4 multicast
       Senders to an IPv6 Receiver, in addition to IPv6
       addresses corresponding to IPv4 multicast addresses
       available;
       MTP can know IPv4 multicast addresses available and
       their Senders' addresses as one of IPv4 Receivers.
       For example, MTP obtains IPv4 multicast addresses
       available and their Senders' addresses via an IPv4 SAP
       (an IPv4 SDR). MTP shows the IPv4 multicast addresses
       and the corresponding IPv6 multicast addresses, and
       the Senders' addresses and the corresponding IPv6
       unicast addresses on its web. An IPv6 Receiver looks
       at its web and gets the IPv6 multicast address and
       the IPv6 Senders' address.
------------------------------------------------------------

> > >      6. In section 4 there needs to be more concrete definitions.
> > >         How does the MTP node know if an address is "well-known"?
> > >         Does it keep a static list so it knows how to set 'x'?
> >
> > Yes, MTP needs a list of "well-known" addresses.
>
>Then MTP implementations must be configurable for this list.  And
>operators must be aware of the list of "well-known" addresses.

I will add the following statement to section 4 according to
your comment.

------------------------------------------------------------
MTP needs to have a list of "well-known" addresses, and
the list must be configurable by the MTP administrator.
------------------------------------------------------------

Best regards.

-- Kazuaki Tsuchiya, Hitachi.